import bb.cascades 1.2

// Menu item for returning to player screen
ActionItem {
    property string page
    
    title: qsTr("Now Playing") + Retranslate.onLanguageChanged
    imageSource: "asset:///images/common/ic_now_playing.png"
    
    enabled: playerStub.playbackActive || RadioPlaybackContext.radioPlaybackActive
    onTriggered: {
        if (RadioPlaybackContext.radioPlaybackActive){
	        RadioPlaybackContext.launchRadioPlayerScreen();
        } else {
	        tabbedPane.currentNavPane.safePushOnePage("nowplaying/NewPlayerScreen.qml");
	        commonAnalytics.instance.logPagePush("NewPlayerScreen", page);
	    }          
    }
}