/**
 * ContentUriHelper.js
 *
 * Helper functions to create contenturis for the folder drill down part
 * of the MoveSheet.qml
 */

function dummyContentDataUri() {
  return "content://media/captured/files/folders/1/folders";
}

function subAlbumContentDataUri(contentUri,albumId) {
  var splitUri = contentUri.split("?");
  var pathElements = splitUri[0] + "/" + albumId + "/folders?";
  return pathElements+splitUri[1];
}

function subAlbumMembersContentDataUri(contentUri,albumId) {
  var splitUri = contentUri.split("/members?");
  var pathElements = splitUri[0] + "/" + albumId + "/members?" + splitUri[1];
  return pathElements;
}