import bb.cascades 1.0

Container {
    property alias title: titleLabel.text
    property alias description: descriptionLabel.text
    
    property int height;
    
    minHeight: height

    layout: DockLayout {
    }

    Container {
	    leftPadding: 20
        rightPadding: 20
        bottomPadding: 10
        
        horizontalAlignment: HorizontalAlignment.Fill
        verticalAlignment:  VerticalAlignment.Center
        
        layout: StackLayout {
        }

        Label {
            id: titleLabel
            horizontalAlignment: HorizontalAlignment.Fill
            textStyle {
                color: Color.Gray
                fontSize: FontSize.Small
                fontWeight: FontWeight.W400
            }
            topMargin: 0
            bottomMargin: 0
            
        }

        Label {
            id: descriptionLabel
            multiline: true
            horizontalAlignment: HorizontalAlignment.Fill
            textStyle {
                fontSize: FontSize.Large
                fontWeight: FontWeight.W400
            }
            topMargin: 0
            bottomMargin: 0
        }
    }
    
    Divider {
        verticalAlignment: VerticalAlignment.Bottom
    }
}