import bb.cascades 1.0

Container {
    property alias imageSource: thumbnailImageView.imageSource

    layout: DockLayout {
    }

    topPadding: 20
    bottomPadding: 20
    leftPadding: 10
    rightPadding: 10

    ImageView {
        id: thumbnailImageView
        preferredWidth: 248
        preferredHeight: 248
        minHeight: 248
        scalingMethod: ScalingMethod.AspectFill
        horizontalAlignment: HorizontalAlignment.Center
        verticalAlignment: VerticalAlignment.Center
        implicitLayoutAnimationsEnabled: false
    }
}