import bb.cascades 1.0
import bb.cascades.multimedia 1.0

Container {
    id: propertyFileNameContainer

    SegmentedControl {
        id: segmentedcontrol
        Option {
            id: option1
            //: Toggling to this alternative will show information about the device part of the combined folder
            text: qsTr("Device") + Retranslate.onLanguageChanged
            value: "option_device"
            selected: true
        }
        Option {
            id: option2
            //: Toggling to this alternative will show information about the media card part of the combined folder
            text: qsTr("Media Card") + Retranslate.onLanguageChanged
            value: "option_mediacard"
            selected: true
        }
        onSelectedIndexChanged: {
            var folderSource = segmentedcontrol.selectedValue;
            propertyFileNameContainer.ListItem.view.dataModel.loadPropertiesFor(folderSource);

            console.debug("Selected value: " + value);
        }
    }
}