import bb.cascades 1.0
import bb.cascades.multimedia 1.0

/**
 * A customized ActionItem that displays an icon for the audio device that is currently
 * being utilized for audio routing.
 */

ActionItem {
    
    property variant audioRoutingComponent;
    
    title: qsTr("Audio") + Retranslate.onLanguageChanged
    imageSource: audioRoutingComponent.getSelectedAudioDeviceIcon()
    
    onTriggered: {
        audioRoutingComponent.openAudioRoutingSheet();
    }
}