import bb.cascades 1.2
import bb.cascades.multimedia 1.0
import bb.cascades.multimedia.internal 1.0
import "../../core/layoutconstants.js" as LayoutConstants

Container {
    id: listItem
    preferredHeight: 234
    preferredWidth: 234
    
    leftPadding: LayoutConstants.LIBRARY_LIST_VIEW_SPACING
    
    horizontalAlignment: HorizontalAlignment.Fill
    layout: DockLayout{}
       
    Container {        
        layout: DockLayout{}
        horizontalAlignment: HorizontalAlignment.Fill
        verticalAlignment: VerticalAlignment.Fill
    
        background:  Color.create("#262626")
        
	    ImageView {
	        imageSource: "asset:///images/radio/fmradio_ic_tunein.png"
	        horizontalAlignment: HorizontalAlignment.Center
	        verticalAlignment: VerticalAlignment.Center
	    }
	    
	    Container {
	        horizontalAlignment: HorizontalAlignment.Fill
	        verticalAlignment: VerticalAlignment.Bottom
	        layout: DockLayout{}
	    
		    ImageView {
		        imageSource: "asset:///images/radio/grid_list_overlay.png"
	            horizontalAlignment: HorizontalAlignment.Fill
		    }
		    
		    Container {
		        layout: DockLayout{}
		        
		        horizontalAlignment: HorizontalAlignment.Left
		        verticalAlignment: VerticalAlignment.Center	        
		        leftPadding: 10
		        
		        Label {
	                text:qsTr("Tune To") + Retranslate.onLanguageChanged            
	                textStyle.base: SystemDefaults.TextStyles.SubtitleText
	                textStyle.color: MediaApplication.textColor
	                textStyle.fontSize: FontSize.XSmall
	                textStyle.fontWeight: FontWeight.W500
	                textFormat: TextFormat.Plain
		        }
		    }
	    }
    }
}
