import bb.cascades 1.0

Page{
    actions: [
        ActionItem {
            title: ""
        }
    ]

	content: Container {
	    id: smartStart
	     
	    layout: StackLayout {
	        orientation: LayoutOrientation.TopToBottom
	    }
		Container {
		    id: screenTitle

		    background: MusicApp.screenTitleBackgroundColor
		    
		    layout: DockLayout {}
		    
		    ImageView{
		        id: titleBar
		        imageSource: "asset:///images/common/core_titlebar_gradient_overlay_d.png"
		        verticalAlignment: VerticalAlignment.Fill
		        horizontalAlignment: HorizontalAlignment.Fill
		    }    
		     
		    Container {
		        leftPadding: 10
		        rightPadding: 10
		        
		        layout: StackLayout { 
			        orientation: LayoutOrientation.LeftToRight    
			    }
			    verticalAlignment: VerticalAlignment.Fill
			    horizontalAlignment: HorizontalAlignment.Fill
		        
				Container {
					topPadding: 10
					bottomPadding: 10
					leftPadding: 10
					rightPadding: 10	    
				    layout: DockLayout {}
			        verticalAlignment: VerticalAlignment.Center
			        
			        layoutProperties: StackLayoutProperties {
		                spaceQuota: 1
		            }
				    Label {
		  		        /*
		  		         * The top title should be "P5R Lorem"
		  		         * Which means FontSize.Large, FontWeight.W400
		  		         */
		  		        id: titleLabel
		  		        textStyle.fontSize: FontSize.Large
		  		        textStyle.fontWeight: FontWeight.W400
		  		        textStyle.color: Color.White
		  		        text: qsTr("Recent Music") + Retranslate.onLanguageChanged
		
		  	            verticalAlignment: VerticalAlignment.Center
		  	            horizontalAlignment: HorizontalAlignment.Left
		  		    }  
				}
			}
		}	    
	}
}
	