import bb.cascades 1.0
import bb.cascades.multimedia 1.0
import bb.cascades.multimedia.internal 1.0
import bb.cascades.music 1.0
/**
* A wrapper on ListView to expose top level components to ListItemComponent scope and 
* to add some functionality needed by the screens in the music app
*/
ListView {
	property variant listTabbedPane: tabbedPane
	property alias titleStyle: titleNormal.style
	property alias subtitleStyle: subtitleNormal.style
	
	scrollRole: ScrollRole.Main
	
    attachedObjects: [
        TextStyleDefinition {
            id: titleNormal
            // Should be "Primary R"
            base: FontUtils.PrimaryR
            color: ColorUtils.getPrimaryTextColor()
        },
        TextStyleDefinition {
            id: subtitleNormal
            // Should be "P3R"
            base: FontUtils.P3R
            color: ColorUtils.getSecondaryTextColor()
        }                
    ]
}