import bb.cascades 1.0
import "layoutconstants.js" as LayoutConstants

Container {
    id: listViewHelper
    property ListView listView;
    onListViewChanged: {
        //configure the grid layout
        listView.leftPadding = LayoutConstants.LIBRARY_LIST_VIEW_LEFT_PADDING;
        listView.rightPadding = LayoutConstants.LIBRARY_LIST_VIEW_RIGHT_PADDING;
        listView.layout.horizontalCellSpacing = 0; 
        listView.layout.spacingBeforeHeader = LayoutConstants.LIBRARY_LIST_VIEW_SPACING_HEADER;
        listView.layout.spacingAfterHeader = LayoutConstants.LIBRARY_LIST_VIEW_SPACING_HEADER;
        listView.layout.orientation = LayoutOrientation.TopToBottom;
        listView.layout.cellAspectRatio = 1;
        listView.layout.columnCount = LayoutConstants.LIBRARY_LIST_VIEW_COLUMN_COUNT;
    }
}