import bb.cascades 1.0
import bb.cascades.multimedia.internal 1.0
import "layoutconstants.js" as LayoutConstants
/*
* This component is used to represent the "create new 
* playlist" item on the playlists screen. 
*/
ThumbsListItem {
    id: playlistCreateListItem
    objectName: "playlistCreateListItem"
    labelVisible: true
    labelText: qsTr("Create") + Retranslate.onLanguageChanged
    bottomLabelVisible: false
    defaultContentPadding: 0
    leftPadding: LayoutConstants.LIBRARY_LIST_VIEW_SPACING
    rightPadding: ListItem.indexInSection % ListItem.view.layout.columnCount == (ListItem.view.layout.columnCount - 1) ? LayoutConstants.LIBRARY_LIST_VIEW_SPACING : 0
    defaultImage: "asset:///images/playlists/new_playlist.png"
    preferredHeight: 256
    preferredWidth: 256
}
