import bb.cascades 1.0
import bb.cascades.multimedia 1.0
import bb.cascades.multimedia.internal 1.0

import "layoutconstants.js" as LayoutConstants

Properties {
    property variant propFid

    attachedObjects: [
        MediaPropertyDataModel {
            id: songPropertyDataModel
			title: qsTr("Song Properties") + Retranslate.onLanguageChanged
        }
    ]

    propertyDataModel: songPropertyDataModel
    defaultImage: "asset:///images/common/album_placeholder.png"
    listItemHeight: LayoutConstants.PROPERTIES_LIST_ITEM_HEIGHT

    onPropFidChanged: {
        propertyDataModel.load( propFid );
    }
}
