import bb.cascades 1.0

Container {
    id: scanningProgressView
    property variant stationsModel
    
    layout: StackLayout{} 
    leftPadding:16
    rightPadding:16

    Container {        
        horizontalAlignment: HorizontalAlignment.Center

        Label {
            text: qsTr("Scanning for stations") + Retranslate.onLanguageChanged
            horizontalAlignment: HorizontalAlignment.Center
        }
    }
   
    ActivityIndicator {        
        id: progressBar
        horizontalAlignment: HorizontalAlignment.Center
        preferredWidth: 100
        running: scanningProgressView.visible
    }

    Container {
        topPadding: 35

        horizontalAlignment: HorizontalAlignment.Center
        Button {            
            text: qsTr("Tune To") + Retranslate.onLanguageChanged
            onClicked: {
                RadioPlaybackContext.launchPlayerScreenForTuneIn();
            }
        }
    }
}